Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159100 - system-config-securitylevel exits with errors
Summary: system-config-securitylevel exits with errors
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
: 160465 (view as bug list)
Depends On:
Blocks: FC4Update
TreeView+ depends on / blocked
 
Reported: 2005-05-29 17:24 UTC by Scott Talbot
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.5.9-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-13 05:37:50 UTC


Attachments (Terms of Use)

Description Scott Talbot 2005-05-29 17:24:30 UTC
Description of problem:
running app fails

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.5.8-1

How reproducible:
allways

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Traceback (most recent call last):
  File "/usr/share/system-config-securitylevel/system-config-securitylevel.py",
line 18, in ?
    app.stand_alone()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 453, in
stand_alone
    self.readFile()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 353, in
readFile
    protoname = socket.getservbyport(int(service), protocol)
socket.error: port/proto not found

Expected results:
GUI providing accesss to feature

Additional info:

Comment 1 Chris Lumens 2005-06-09 15:07:15 UTC
I've committed a fix for this to Rawhide.  I'll build an FC4 update just as soon
as FC4 is released.

Comment 2 Scott Talbot 2005-06-13 05:37:50 UTC
You rock!  works as expected, and then some!  - Thanks

Comment 3 Chris Lumens 2005-06-15 14:32:38 UTC
*** Bug 160465 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.